Name:           souffle
Version:        2.4
Release:        1%{?dist}
Summary:        Datalog logical language variant

License:        UPL
URL:            http://souffle-lang.github.io/
Source0:        https://github.com/souffle-lang/souffle/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  flex
BuildRequires:  libffi-devel
BuildRequires:  libtool
BuildRequires:  mcpp
BuildRequires:  ncurses-devel
BuildRequires:  sqlite-devel
BuildRequires:  zlib-devel
BuildRequires:  git-core
Requires:       gcc-c++

%description
Soufflé is a variant of Datalog for tool designers crafting analyses
in Horn clauses. Soufflé synthesizes a native parallel C++ program
from a logic specification.

%prep
%autosetup


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license README.md LICENSE licenses/*
%{_bindir}/souffle
%{_bindir}/souffle-compile.py
%{_bindir}/souffleprof
%{_includedir}/souffle
#%%{_datadir}/bash-completion/completions/souffle
#%%{_mandir}/man1/souffle-compile.1.gz
#%%{_mandir}/man1/souffle-config.1.gz
#%%{_mandir}/man1/souffle-profile.1.gz
#%%{_mandir}/man1/souffle.1.gz


%changelog
* Tue May 16 2023 Jens Petersen <petersen@redhat.com> - 2.4-1
- update to 2.4

* Tue Apr 27 2021 Jens Petersen <petersen@redhat.com> - 2.0.2-1
- initial packaging
